#include "misc.h"
#include  <math.h>    //Keil library  

#include "iic.h"
#include "mpu6050.h"
#include "init.h"
#include "utils.h"

unsigned char TX_DATA[4];    //ʾݻ
short T_X,T_Y,T_Z,T_T;     //X,Y,Zᣬ¶

//********ڷ***************************************
void  USART1_SendData(unsigned char SendData)
{
  USART_SendData(USART1, SendData);
  Delayms(1);
}

void Send_data(unsigned char MAG,unsigned char axis)
{
  unsigned char i;
	USART1_SendData(MAG);
  USART1_SendData(axis);
  USART1_SendData(':');
  for(i=0;i<4;i++)
    USART1_SendData(TX_DATA[i]);
  USART1_SendData(' ');
  USART1_SendData(' ');
}

  /*
********************************************************************************
**   main(void)
**   
**     	 
**     	 
**     	 
********************************************************************************
*/

int main(void)
{ 
  RCC_Configuration();		 //RCC
  GPIO_Configuration();		 //GPIO
  USART1_Configuration();	 //ô1
  I2C_GPIO_Config();		 //IICʹö˿
  Delayms(10);				 //ʱ
  Init_MPU9250();		     //ʼMPU9250
  while(1)
  {
  	READ_MPU9250_ACCEL(&T_X, &T_Y, &T_Z);  //ٶ
  	DATA_printf(TX_DATA,T_X);//תXݵ
  	Send_data('A','X');			 //X
  	DATA_printf(TX_DATA,T_Y);//תYݵ
  	Send_data('A','Y');			 //Y
  	DATA_printf(TX_DATA,T_Z);//תZݵ
  	Send_data('A','Z');			 //Z
  	 
  	READ_MPU9250_GYRO(&T_X, &T_Y, &T_Z);      //
  	DATA_printf(TX_DATA,T_X);//תXݵ
  	Send_data('G','X');			 //X
  	DATA_printf(TX_DATA,T_Y);//תYݵ
  	Send_data('G','Y');			 //Y
  	DATA_printf(TX_DATA,T_Z);//תZݵ
  	Send_data('G','Z');			 //Z
  	 
  	READ_MPU9250_MAG(&T_X, &T_Y, &T_Z);	      //ų
    DATA_printf(TX_DATA,T_X);//תXݵ
  	Send_data('M','X');			 //X
  	DATA_printf(TX_DATA,T_Y);//תYݵ
  	Send_data('M','Y');			 //Y
  	DATA_printf(TX_DATA,T_Z);//תZݵ
  	Send_data('M','Z');			 //Z

  	USART1_SendData(0X0D);	 //
  	USART1_SendData(0X0A);	 //س
  	Delayms(10);				 //ʱ
  }
}

/****************************/
